## task-python 1.2

=== Makefile ===
#!/usr/bin/make -f
#-*- Makefile -*-
# $Id: Makefile,v 1.4 2000/01/13 21:46:31 david Exp $

# Some of these "Reference" files are not used to build the package, 
# just to help a human modify the tasks file manually and/or
# communicate with relevant developers.

REFERENCE_FILES:=\
python-packages-available \
python-packages-summary \
python-packages-maintainers

# default target
build: local-build-stamp
.PHONY: build

local-build-stamp: debian/control
	touch local-build-stamp

# recreate debian/control when either of these has changed
debian/control: control.top control.generated.tasks
	cat $+ > $@

# the dependence on .py files here just makes my life easier while
# testing and changing them
control.generated.tasks: tasks $(REFERENCE_FILES) z.py modified_dpkg_packages.py 

	-rm -f control.generated.tasks
	./z.py 
# z.py reads tasks and reference files, appends to control.generated.tasks



# other targets

reference: $(REFERENCE_FILES)
.PHONY: reference

clean:
	rm -f *.pyc
	rm -f $(REFERENCE_FILES)
	rm -f control.generated.tasks
	rm -f local-build-stamp
.PHONY: clean


###REFERENCE FILES###

#all pacakges with "python" in name or description
# python-packages-apt-cache-search: /var/lib/dpkg/available
# 	apt-cache search python | sort > $@

# python-packages-apt-cache-search--full: /var/lib/dpkg/available
#	apt-cache --full search python > $@

python-packages-available: /var/lib/dpkg/available
#all packages with case-independent "python" in package name, description, or dependencies
	sgrep -i '(DEB_PKG containing ((DEB_PACKAGE or DEB_DEPENDS or DEB_RECOMMENDS or DEB_DESCRIPTION) containing "python"))' $< >$@

#all 'python'-named packages in the 'available' file
#python-packages-available: /var/lib/dpkg/available
#	grep-dctrl -i -FPackage python $< > $@

#all packages that depend on a 'python'-named package but are *not* 'python'-named
#python-dependent-packages-available: /var/lib/dpkg/available
#	sgrep '((DEB_PKG containing (DEB_DEPENDS containing "python")) containing (DEB_PACKAGE not containing "python"))' $< >$@
#	grep-dctrl -i -FDepends python $< | grep-dctrl -FPackage -v python > $@

#maintainers of python-named packages
python-packages-maintainers: python-packages-available
	grep '^Maintainer: ' $< | cut  -f2- -d\  | sort | uniq > $@

#maintainers of python-dependent packages
#python-dependent-package-maintainers: python-dependent-packages-available
#	grep '^Maintainer: ' $< | cut  -f2- -d\  | sort | uniq > $@

#summary (package, desription, dependencies) of packages
python-packages-summary: python-packages-available
#	grep '^Depends: \|^Package: \|^Description: ' $< | sed '/^Package: / { x ; p ; x ; }' > $@
	grep-dctrl -sPackage,Version,Depends,Recommends,Description '' $< >$@

#summary (package, desription, dependencies) of dependent packages
#python-dependent-packages-summary: python-dependent-packages-available
#	grep '^Depends: \|^Package: \|^Description: ' $< | sed '/^Package: / { x ; p ; x ; }' > $@

=== debian/changelog ===
task-python (1.2) frozen unstable; urgency=medium

  * Release Manager: this closes an rcb caused indirectly
    by the removal of wxwin.
  * removed dependencies on python-wxwin and ilu-base (which have 
    been removed from potato).  Closes Bug#64898.

 -- David Coe <davidc@debian.org>  Wed, 31 May 2000 00:26:42 -0400

task-python (1.1) frozen unstable; urgency=low

  * removed libapache-mod-python (which has been removed from
    the distribution). Closes Bug#56792. 

 -- David Coe <david.coe@someotherplace.org>  Tue,  1 Feb 2000 19:19:06 -0500

task-python (1.0) unstable; urgency=low
     
  * task-python-* metapackages
  
 -- David Coe <david.coe@someotherplace.org>  Thu, 13 Jan 2000 15:56:27 -0500

=== debian/control ===
Source: task-python
Maintainer: David L. Coe <david.coe@someotherplace.org>
Section: devel
Priority: optional
Standards-Version: 3.1.1
Build-Depends: python-base, dpkg-python, sgrep, grep-dctrl
X-Comment: This source package is (currently) a very ugly hack -- please 
 contact the maintainer if you want to do anything with it, to it, or 
 based upon it.

Package: task-python
Architecture: all
Depends: python-base, python-doc
Description: Python script development environment
 Packages that allow you to develop scripts and and simple applications 
 in Python.  
 .
 Python is an interpreted, interactive, object-oriented programming
 language.  It is often compared to Tcl, Perl, Scheme or Java.
 .
 Python combines remarkable power with very clear syntax. It has 
 modules, classes, exceptions, very high level dynamic data types, and 
 dynamic typing.  There are interfaces to many system calls and 
 libraries, as well as to various windowing systems (X11, Motif, Tk, 
 Mac, MFC).  New built-in modules are easily written in C or C++.
 Python is also usable as an extension language for applications that 
 need a programmable interface.
 .
 You may also want to install one of the following editing environments,
 each of which has support for Python syntax highlighting:
     python-elisp (with any of the emacsen)
     vim-python
     nedit
 .
 Overview of the task-python packages
 .
   Install:            if you want to:
   -------             ---------------
   task-python         write scripts and uncomplicated Python applications
   task-python-web     write CGI scripts and web applications in Python
   task-python-bundle  have the entire upstream (www.python.org) distribution
   task-python-dev     write complex Python applications, have available
                         most of the Debian-packaged Python extensions, and/or
                         write Python extensions in other programming languages
 .
 (Note that you needn't install any of these to be able to use
 other packages that are written in Python; the required pieces
 will be automatically installed along with the packages that need
 them.
 .
 You may later remove these task-* packages without losing 
 anything else.)

Package: task-python-web
Architecture: all
Depends: htmlgen, idle, python-bobo, python-bobodtml, python-gnuplot, python-graphics, python-imaging, python-imaging-doc, python-pcgi, python-xml, task-python, zope
Description: Python web application development environment
 This package provides Python-based tools for developing interactive
 or ``smart'' web sites. 
 .
 Please see task-python for additional information.

Package: task-python-dev
Architecture: all
Depends: ddd, dpkg-python, gadfly, gimp-python, htmlgen, idle, pydb, pyrite, python-bobo, python-bobopos, python-dev, python-examples, python-extclass, python-gdbm, python-gdk-imlib, python-gendoc, python-glade, python-gnome, python-gtk, python-history, python-imaging-sane, python-imaging-tk, python-kjbuckets, python-ldap, python-mpz, python-mxdatetime, python-mxstack, python-mxtexttools, python-mxtools, python-netcdf, python-newt, python-numeric, python-numeric-tutorial, python-pam, python-pdb, python-pmw, python-pygresql, python-rng, python-tk, python-wpy, python-xml, python-zlib, pythondoc, saml, sulfur, swig, task-python
Description: Full Python development environment
 This package provides almost all of the Debian-packaged Python tools 
 and extensions, for developing scripts and simple or complex applications 
 in Python.
 .
 Please see task-python for additional information.

Package: task-python-bundle
Architecture: all
Depends: idle, python-base, python-dev, python-doc, python-elisp, python-examples, python-gdbm, python-mpz, python-tk, python-zlib
Description: Full distribution of Python
 This package installs the complete Python distribution as available from
 www.python.org, featuring e.g.
 . 
  - Tkinter, a platform-indepedent GUI toolkit, based on Tk
  - IDLE, a Python integrated development environment, written in Tkinter
  - the environment for building Python extensions in C
 .
 If you don't need all of these, don't use this package.

=== debian/rules ===
#!/usr/bin/make -f
#-*- Makefile -*-
# $Id: rules,v 1.8 2000/01/13 22:16:13 david Exp $

############################################
#debhelper rules
############################################
# Uncomment this to turn on verbose mode. 
export DH_VERBOSE=1

# This is the debhelper compatability version to use.
export DH_COMPAT=2

# This has to be exported to make some magic below work.
export DH_OPTIONS

debian/control: control.top tasks
	[ -d debian ]
#	we do this first because debhelper needs the real debian/control file
	$(MAKE) debian/control

build: build-stamp
build-stamp: debian/control
	dh_testdir tasks control.top

#	# Add here commands to compile the package.
	#$(MAKE)

	touch build-stamp

clean: debian/control
	dh_testdir tasks control.top
	dh_testroot
	rm -f build-stamp install-stamp

#	# Add here commands to clean up after the build process.
	$(MAKE) clean


	dh_clean

install: DH_OPTIONS=
install: debian/control
	dh_testdir tasks control.top
	dh_testroot
###	dh_clean -k
###	dh_installdirs

#	# Add here commands to install the package into debian/tmp.
#	#$(MAKE) prefix=`pwd`/debian/tmp/usr install

###	dh_movefiles
	touch install-stamp

# This single target is used to build all the packages, all at once, or
# one at a time. So keep in mind: any options passed to commands here will
# affect _all_ packages. Anything you want to only affect one package
# should be put in another target, such as the install target.
binary-common: debian/control
#	# Need this version of debhelper for DH_OPTIONS to work.
	dh_testversion 1.1.17
	dh_testdir tasks control.top
	dh_testroot
	dh_installdocs -A debian/README
##	dh_installexamples
##	dh_installmenu
#	dh_installemacsen
#	dh_installpam
#	dh_installinit
##	dh_installcron
##	dh_installinfo
#	dh_undocumented
	dh_installchangelogs
##	dh_link
	dh_compress
	dh_fixperms
##	# You may want to make some executables suid here.
##	dh_suidregister
#	dh_makeshlibs
	dh_installdeb
#	dh_perl
##	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

# Build architecture independant packages using the common target.
# (Uncomment the next two lines and comment out the third if you have
# such packages)
binary-indep: DH_OPTIONS=-i
binary-indep: build install binary-common
#binary-indep:

# Build architecture dependant packages using the common target.
binary-arch: DH_OPTIONS=-a
binary-arch: build install binary-common

# Any other binary targets build just one binary package at a time.
binary-%: build install
	$(MAKE) -f debian/rules binary-common DH_OPTIONS=-p$*

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install
